当前位置:
首页 > 科技资讯 > 谷歌眼镜存在安全漏洞:可执行恶意代码

谷歌眼镜存在安全漏洞:可执行恶意代码

美国科技博客Android Authority报道,经测试证明,Android系统中的一个安全漏洞在谷歌眼镜上同样可用,黑客可以利用该漏洞执行恶意代码

Android Authority称,研究人员去年下半年发现,使用Android 4.1 API编译的移动应用可以利用Javascript(JS)接口中的一个漏洞。黑客只需在应用中创建一个VebView对象,就可以利用addJavascriptInterface()这个API来执行恶意代码。

据称,WebView对象在Android免费应用中使用相当普遍,用于载入广告、使用说明、开发者网站等html内容。

谷歌官方API文档对addjavascriptInterface()的说明中承认,对于使用Android 4.1 SDK编译的应用程序来说,黑客通过该API操纵主程序,以主程序获取的权限来执行Java代码

目前,谷歌眼镜仍在进行大规模试用,谷歌也在收集各种反馈和漏洞信息。有媒体称,正式上市时,谷歌将解决上述安全漏洞。

谷歌眼镜存在安全漏洞:可执行恶意代码

已有 0 条评论